Subject: Re: testing crazy stuff with iproute2

From: Jarek Poplawski <[email-masked]>
Date: Fri, 28 Dec 2007 11:18:27 +0100

On Fri, Dec 28, 2007 at 01:44:17AM +0200, Denys Fedoryshchenko wrote:
...
> For bandwidth sharing it is perfect, but i want just to make things, which i 
> did with TBF - some time bursty speed, and then slow down to lower speed if 
> customer is using too much. In theory it has to work like this, but in 
> practice i am hitting wall. I tried it about 1 year ago, it was same thing, 
> just with another conditions. Seems cburst/burst a bit different thing, just 
> to make load on CPU by HTB less , at high speeds.

IMHO it's quite possible you're trying to use HTB to things it is
not intended to do. cburst/burst have to limit burstiness and not
change rates depending on load. But, maybe they could do the other
things too whith some tricks, I don't know. I think CBQ or maybe
HFSC could be better for you. But, if TBF works for you, and you
don't need sharing (lending) I don't understand why to 'fight'
with HTB at all. You could maybe use it only to get class hierarchy
with some high, not limiting rates, or even try e.g. prio + TBF
combination.

Regards,
Jarek P.